<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">

	<!--
		Copyright (c) 2004 Hyades project.
		All rights reserved.   This program and the accompanying materials
		are made available under the terms of the Common Public License v1.0
		which accompanies this distribution, and is available at
		http://www.eclipse.org/legal/cpl-v10.html

		Contributors: 
		IBM - Initial API and implementation
	
		This schema specifies the format of template event XML files consumed by the Event 
		Factory Home (org.eclipse.hyades.logging.events.cbe.impl.EventXMLFileEventFactoryHomeImpl).
		
		Author: Paul E. Slauenwhite
		Date:   March 31, 2004
	-->

	<!-- The type of root element. -->
	<xsd:complexType name="TemplateEventType">

		<!-- The only child of the root element.  The structure of the CommonBaseEvent element follows the Common Base Event schema specific to the version attribute. -->
		<xsd:sequence>
			<xsd:element name="CommonBaseEvent" minOccurs="1" maxOccurs="1">
				<xsd:complexType>
					<xsd:sequence>
						<xsd:any maxOccurs="unbounded" processContents="skip" />
					</xsd:sequence>
					<xsd:anyAttribute processContents="skip" />
				</xsd:complexType>
			</xsd:element>
		</xsd:sequence>

		<!-- The only attribute of the root element.  The attribute represents the Common Base Event schema version used to construct the structure of the CommonBaseEvent. -->
		<xsd:attribute name="version" use="required">
			<xsd:simpleType>
				<xsd:restriction base="xsd:string">
					<xsd:enumeration value="1.0"/>
					<xsd:enumeration value="1.0.1"/>
				</xsd:restriction>
			</xsd:simpleType>
		</xsd:attribute>

	</xsd:complexType>

	<!-- The root element. -->
	<xsd:element name="TemplateEvent" type="TemplateEventType"/>

</xsd:schema>